Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://api.app.fleetit.com/v2/vehicles/ \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.app.fleetit.com/v2/vehicles/" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.app.fleetit.com/v2/vehicles/', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.app.fleetit.com/v2/vehicles/", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.app.fleetit.com/v2/vehicles/" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.app.fleetit.com/v2/vehicles/") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.app.fleetit.com/v2/vehicles/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "count": 6000, "next": "http://api.staging.fleetit.com/v2/vehicles/?limit=25&offset=25", "previous": null, "results": [ { "id": 73047997, "plate_number": "18KG3D", "plate_state": "MO", "vehicle_number": "3ALDCXFE8PDNX3089", "vehicle_make": "FREIGHTLIN", "vehicle_model": "M2106 VN555-MHI", "year": "2023", "lessee_renter": "JOMAR ELECTRICAL CONTRACTORS", "custom_fields": { "equipment_number": "224774", "customer_number": "2043780" }, "vehicle_type_code": null, "active": true } ] }
Retrieve a list of all vehicles in the system.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
Search term to filter results. Searchable fields include: plate_number, plate_state, vehicle_number, id, vehicle_make, vehicle_model, lessee_renter, status_with_toll_authority.
plate_number
plate_state
vehicle_number
id
vehicle_make
vehicle_model
lessee_renter
status_with_toll_authority
Exact match for plate state. Comma Separated for multiple values.
Exact match for plate number. Commas Separated for multiple values.
Exact match for vehicle type code. Comma Separated for multiple values.
Multiple choice filter for vehicle status with toll authority.
["ACTIVE", "INACTIVE"]
Exact match for added date.
"2022-01-01"
Filter for added date greater than or equal to the specified date.
Filter for added date less than or equal to the specified date.
"2022-12-31"
Successful response
6000
"http://api.staging.fleetit.com/v2/vehicles/?limit=25&offset=25"
null
Show child attributes
Was this page helpful?